WinGDI (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinGDI

Package com.sun.jna.platform.win32

# Interface WinGDI

public interface WinGDI
Ported from WinGDI.h. Microsoft Windows SDK 6.0A.

Author:
  dblock[at]dblock.org, Andreas "PAX" Lück, onkelpax-git[at]yahoo.de

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `WinGDI.BITMAP`
  `static class`
  `WinGDI.BITMAPINFO`
  `static class`
  `WinGDI.BITMAPINFOHEADER`
  `static class`
  `WinGDI.DIBSECTION`
  `static class`
  `WinGDI.ICONINFO`
  `static class`
  `WinGDI.PIXELFORMATDESCRIPTOR`
  The PIXELFORMATDESCRIPTOR structure describes the pixel format of a drawing surface.
  `static class`
  `WinGDI.RGBQUAD`
  `static class`
  `WinGDI.RGNDATA`
  `static class`
  `WinGDI.RGNDATAHEADER`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALTERNATE`
  `static final int`
  `BI_BITFIELDS`
  `static final int`
  `BI_JPEG`
  `static final int`
  `BI_PNG`
  `static final int`
  `BI_RGB`
  `static final int`
  `BI_RLE4`
  `static final int`
  `BI_RLE8`
  `static final int`
  `COMPLEXREGION`
  `static final int`
  `DIB_PAL_COLORS`
  `static final int`
  `DIB_RGB_COLORS`
  `static final int`
  `ERROR`
  `static final WinNT.HANDLE`
  `HGDI_ERROR`
  `static final int`
  `NULLREGION`
  `static final int`
  `PFD_DOUBLEBUFFER`
  `static final int`
  `PFD_DRAW_TO_BITMAP`
  `static final int`
  `PFD_DRAW_TO_WINDOW`
  `static final int`
  `PFD_GENERIC_ACCELERATED`
  `static final int`
  `PFD_GENERIC_FORMAT`
  `static final int`
  `PFD_MAIN_PLANE`
  `static final int`
  `PFD_NEED_PALETTE`
  `static final int`
  `PFD_NEED_SYSTEM_PALETTE`
  `static final int`
  `PFD_OVERLAY_PLANE`
  `static final int`
  `PFD_STEREO`
  `static final int`
  `PFD_SUPPORT_DIRECTDRAW`
  `static final int`
  `PFD_SUPPORT_GDI`
  `static final int`
  `PFD_SUPPORT_OPENGL`
  `static final int`
  `PFD_SWAP_COPY`
  `static final int`
  `PFD_SWAP_EXCHANGE`
  `static final int`
  `PFD_SWAP_LAYER_BUFFERS`
  `static final int`
  `PFD_TYPE_COLORINDEX`
  `static final int`
  `PFD_TYPE_RGBA`
  `static final int`
  `PFD_UNDERLAY_PLANE`
  `static final int`
  `RDH_RECTANGLES`
  `static final int`
  `RGN_AND`
  `static final int`
  `RGN_COPY`
  `static final int`
  `RGN_DIFF`
  `static final int`
  `RGN_OR`
  `static final int`
  `RGN_XOR`
  `static final int`
  `SIMPLEREGION`
  `static final int`
  `WINDING`

- ## Field Details

  - ### RDH_RECTANGLES

    static final int RDH_RECTANGLES
    See Also:
      - Constant Field Values

  - ### HGDI_ERROR

    static final WinNT.HANDLE HGDI_ERROR

  - ### RGN_AND

    static final int RGN_AND
    See Also:
      - Constant Field Values

  - ### RGN_OR

    static final int RGN_OR
    See Also:
      - Constant Field Values

  - ### RGN_XOR

    static final int RGN_XOR
    See Also:
      - Constant Field Values

  - ### RGN_DIFF

    static final int RGN_DIFF
    See Also:
      - Constant Field Values

  - ### RGN_COPY

    static final int RGN_COPY
    See Also:
      - Constant Field Values

  - ### ERROR

    static final int ERROR
    See Also:
      - Constant Field Values

  - ### NULLREGION

    static final int NULLREGION
    See Also:
      - Constant Field Values

  - ### SIMPLEREGION

    static final int SIMPLEREGION
    See Also:
      - Constant Field Values

  - ### COMPLEXREGION

    static final int COMPLEXREGION
    See Also:
      - Constant Field Values

  - ### ALTERNATE

    static final int ALTERNATE
    See Also:
      - Constant Field Values

  - ### WINDING

    static final int WINDING
    See Also:
      - Constant Field Values

  - ### BI_RGB

    static final int BI_RGB
    See Also:
      - Constant Field Values

  - ### BI_RLE8

    static final int BI_RLE8
    See Also:
      - Constant Field Values

  - ### BI_RLE4

    static final int BI_RLE4
    See Also:
      - Constant Field Values

  - ### BI_BITFIELDS

    static final int BI_BITFIELDS
    See Also:
      - Constant Field Values

  - ### BI_JPEG

    static final int BI_JPEG
    See Also:
      - Constant Field Values

  - ### BI_PNG

    static final int BI_PNG
    See Also:
      - Constant Field Values

  - ### PFD_TYPE_RGBA

    static final int PFD_TYPE_RGBA
    See Also:
      - Constant Field Values

  - ### PFD_TYPE_COLORINDEX

    static final int PFD_TYPE_COLORINDEX
    See Also:
      - Constant Field Values

  - ### PFD_MAIN_PLANE

    static final int PFD_MAIN_PLANE
    See Also:
      - Constant Field Values

  - ### PFD_OVERLAY_PLANE

    static final int PFD_OVERLAY_PLANE
    See Also:
      - Constant Field Values

  - ### PFD_UNDERLAY_PLANE

    static final int PFD_UNDERLAY_PLANE
    See Also:
      - Constant Field Values

  - ### PFD_DOUBLEBUFFER

    static final int PFD_DOUBLEBUFFER
    See Also:
      - Constant Field Values

  - ### PFD_STEREO

    static final int PFD_STEREO
    See Also:
      - Constant Field Values

  - ### PFD_DRAW_TO_WINDOW

    static final int PFD_DRAW_TO_WINDOW
    See Also:
      - Constant Field Values

  - ### PFD_DRAW_TO_BITMAP

    static final int PFD_DRAW_TO_BITMAP
    See Also:
      - Constant Field Values

  - ### PFD_SUPPORT_GDI

    static final int PFD_SUPPORT_GDI
    See Also:
      - Constant Field Values

  - ### PFD_SUPPORT_OPENGL

    static final int PFD_SUPPORT_OPENGL
    See Also:
      - Constant Field Values

  - ### PFD_GENERIC_FORMAT

    static final int PFD_GENERIC_FORMAT
    See Also:
      - Constant Field Values

  - ### PFD_NEED_PALETTE

    static final int PFD_NEED_PALETTE
    See Also:
      - Constant Field Values

  - ### PFD_NEED_SYSTEM_PALETTE

    static final int PFD_NEED_SYSTEM_PALETTE
    See Also:
      - Constant Field Values

  - ### PFD_SWAP_EXCHANGE

    static final int PFD_SWAP_EXCHANGE
    See Also:
      - Constant Field Values

  - ### PFD_SWAP_COPY

    static final int PFD_SWAP_COPY
    See Also:
      - Constant Field Values

  - ### PFD_SWAP_LAYER_BUFFERS

    static final int PFD_SWAP_LAYER_BUFFERS
    See Also:
      - Constant Field Values

  - ### PFD_GENERIC_ACCELERATED

    static final int PFD_GENERIC_ACCELERATED
    See Also:
      - Constant Field Values

  - ### PFD_SUPPORT_DIRECTDRAW

    static final int PFD_SUPPORT_DIRECTDRAW
    See Also:
      - Constant Field Values

  - ### DIB_RGB_COLORS

    static final int DIB_RGB_COLORS
    See Also:
      - Constant Field Values

  - ### DIB_PAL_COLORS

    static final int DIB_PAL_COLORS
    See Also:
      - Constant Field Values